import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { SlutredovisningViewDescriptionListComponent } from './slutredovisning-view-description-list.component';

describe('SlutredovisningViewDescriptionListComponent', () => {
  let component: SlutredovisningViewDescriptionListComponent;
  let fixture: ComponentFixture<SlutredovisningViewDescriptionListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningViewDescriptionListComponent],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningViewDescriptionListComponent);
    component = fixture.componentInstance;
    component.slutredovisning = {
      genomforandereferens: 123,
      mainOccupation: null,
      activities: [],
      progressDescription: '',
      nextStepDescription: '',
      otherInformation: '',
    };
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
